osCommerce France : Accueil Forum Portail osCommerce France Réponses aux questions Foire aux contributions

Bienvenue invité ( Connexion | Inscription )

 
Reply to this topicStart new topic
> Recherche d’une contribution où le client peut proposer à la vente ses objets
roiphoto
posté 2 Oct 2016, 13:16
Message #1


Ceinture jaune+ OSC
Icône de groupe

Groupe : Membres
Messages : 98
Inscrit : 6-August 07
Lieu : 93200
Membre no 18622



Bonjour à toutes et à tous

Windows 8.1 ; 32 bit
EasyPHP-12.1 with PHP 5.4.6 en Français
Oscommerce online Merchant V2.3.1 français puis j’ai écrasé les fichiers suivants de la version 2.3.1 par leurs équivalents de la version 2.3.3
/catalog/includes/application_top.php
/catalog/includes/functions/sessions.php
/catalog/includes/functions/whos_online.php
/catalog/admin/includes/functions/sessions.php
en LOCAL et cela fonctionne 5 sur

J’ai le projet de création d’une plateforme de vente

Je suis à la recherche d’une contribution où le client à partir de son espace client peut mettre ses objets en vente, comme beaucoup de plateformes (dont je ne veux pas citer de nom). Son article sera publié sur le site après le consentement du modérateur du site.

Je vous remercie.
Go to the top of the page
 
Bonbec
posté 2 Oct 2016, 16:04
Message #2


Ceinture marron OSC
Icône de groupe

Groupe : Modérateurs
Messages : 1326
Inscrit : 30-May 06
Lieu : Vichy (03)
Membre no 10583



Bonjour,

Il y a cette contrib pour Osc 2.2 : Customer Add Product.
Avec un peu de travail sur le code, c'est transposable pour un Osc 2.3.x d'après un message sur le fil du support.
Bien prendre la version 1.4.3 de la contrib (en plus il y a la traduction en french).


--------------------
Config 1 en live : Osc 2.2 très fortement modifié ... UTF-8 et Php 5.4.
Contribs installées : down_for_maintenance_v 2.3 | Estimated Shipping v1.5 | imprint_1_3_5 | low_stock_report_v2.04 | visible_countries_1.2b | Products Tabs | shoppingCart_cleanup_v1.01.0 | + trop de bidouilles persos pas très OsCommerce (erreurs de jeunesse)
Config 2 en local avec UwAmp : Osc 2.3.4 BS
Go to the top of the page
 
roiphoto
posté 8 Oct 2016, 10:48
Message #3


Ceinture jaune+ OSC
Icône de groupe

Groupe : Membres
Messages : 98
Inscrit : 6-August 07
Lieu : 93200
Membre no 18622



Bonjour Bonbec

J’ai téléchargé la contri CUSTOMER ADD PRODUCT version 1.4.3 comme vous me l’avez indiquée et j’ai fait toutes les modifs et je finis par me rendre compte que la version oscommerce que j’utilisais 2.3.1 était incompatible puisque ‘il me demandait un fichier colum_left.php qui ne figure nulle part dans la version 2.3.1

J’ai alors décidé de tout recommencer cette fois-ci avec la version 2.2rc1_FR_W3C-3 avec easyphp-12.1 FR et j’obtiens toutes ces erreurs dès la première installation. JE N AI PAS ENCORE PROCEDE AUX CHANGEMENTS PRECONISES PAR LA CONTRIBUTION ! ! !

Est-ce encore la version PHP utilisée qui est trop en avance sur la version oscommerce ? Je ne sais pas !

13 erreurs identiques (line 87) + 1 erreur (line 20) + 1 erreur ligne 120
Deprecated: Function eregi() is deprecated in C:\Program Files\EasyPHP-12.1\www\catalog\includes\classes\language.php on line 87

Deprecated: Function eregi() is deprecated in C:\Program Files\EasyPHP-12.1\www\ catalog \includes\languages\french.php on line 20

Visiblement les liens fonctionnent et affichent en haut l’erreur pré-citée en ligne20

Les produits en nouveautés affichent l’erreur suivante
Deprecated: Function ereg_replace() is deprecated in C:\Program Files\EasyPHP-12.1\www\catalog\product_info.php on line 120
Windows 95/98 !

Que faire. De l’aide s’il vous plaît
Merci à toutes et à tous
Go to the top of the page
 
Bonbec
posté 10 Oct 2016, 08:13
Message #4


Ceinture marron OSC
Icône de groupe

Groupe : Modérateurs
Messages : 1326
Inscrit : 30-May 06
Lieu : Vichy (03)
Membre no 10583



Bonjour,

Effectivement la version 2.2 d'OsC n'est pas compatible nativement avec les versions PHP >= à 5.3.
Il y a un paquet de modifs à faire en plus des ereg, eregi, etc ...
Pour deprecated, voir ici par exemple


--------------------
Config 1 en live : Osc 2.2 très fortement modifié ... UTF-8 et Php 5.4.
Contribs installées : down_for_maintenance_v 2.3 | Estimated Shipping v1.5 | imprint_1_3_5 | low_stock_report_v2.04 | visible_countries_1.2b | Products Tabs | shoppingCart_cleanup_v1.01.0 | + trop de bidouilles persos pas très OsCommerce (erreurs de jeunesse)
Config 2 en local avec UwAmp : Osc 2.3.4 BS
Go to the top of the page
 
roiphoto
posté 10 Oct 2016, 17:08
Message #5


Ceinture jaune+ OSC
Icône de groupe

Groupe : Membres
Messages : 98
Inscrit : 6-August 07
Lieu : 93200
Membre no 18622



Bonjour à toutes et à tous

Toujours en LOCAL
J’ai réussi à installer la contribution CUSTOMER ADD PRODUCTS sur oscommerce 2.2rc1-FR- w3c-3
avec EasyPHP-1.8 FR
Tous les warnings dans mon précédent post sont résolus tout seuls

MON SOUCI ACTUEL ? Le voici !

EN LOCAL
Tous les liens fonctionnent bien sauf un ! ! ! Eh oui !!!

Dans le compte du client, on finit de remplir le formulaire pour ajouter le produit du client.
En cliquant sur le lien d’envoi, il génère ces deux erreurs simultanées ci-dessous

Warning: mail(): Failed to connect to mailserver at "localhost" port 25, verify your "SMTP" and "smtp_port" setting in php.ini or use ini_set() in c:\program files\easyphp1-8\www\catalog\includes\classes\email.php on line 520

Warning: Cannot modify header information - headers already sent by (output started at c:\program files\easyphp1-8\www\catalog\includes\classes\email.php:520) in c:\program files\easyphp1-8\www\catalog\includes\functions\general.php on line 34

Je crie très haut et très fort : SOS ! ! !
Merci à toutes et à tous
Go to the top of the page
 
Havock
posté 11 Oct 2016, 07:24
Message #6


Ceinture bleue OSC
Icône de groupe

Groupe : Membres
Messages : 894
Inscrit : 4-February 04
Membre no 1926



Bonjour,

Un petit tour par la FAQ : http://www.oscommerce-fr.info/faq/qa_info.php?qID=200


--------------------
L'indispensable est en cours de traitement,
L'urgent sera traité demain,
Le normal sera traité plus tard,
Le reste on vera ...
En conclusion : les journées sont trop courtes.
Utilisateur de MS2.2 Max 1.5 - OSC-Affiliate 1.09 - Admin With Access Levels 2.1 - Meta Tag Controller/ Generator - Credit/Gift Voucher/Coupons 5.05 - Download Controller v5.3 - X-Sell MS2 - WYSIWYG HTML Editor for Admin 1.7 - Dynamic Mo Pics - Loginbox Best - Order logging before payment processing - User Tracking - Faster Page Loads, Less DB queries - Plus plein de modifs perso :-)
Go to the top of the page
 
roiphoto
posté 11 Oct 2016, 13:54
Message #7


Ceinture jaune+ OSC
Icône de groupe

Groupe : Membres
Messages : 98
Inscrit : 6-August 07
Lieu : 93200
Membre no 18622



Bonjour à toutes et à tous

Tout d’abord merci à vous, Havock.

Vous m’avez permis de comprendre l’origine de cette erreur.

Je me pose une question bête : si je ne corrige pas cette erreur dans php.ini ; lorsque je publierai mon projet chez mon hébergeur, est-ce que la même erreur se produira au niveau de mes visiteurs puisque je n’uploaderai pas easyphp chez l’hébergeur ? ? ? De plus, l’hébergeur n’utilisera pas mon FAI pour servir mes visiteurs.

Merci d’avance pour votre aide
Go to the top of the page
 
Bonbec
posté 11 Oct 2016, 14:16
Message #8


Ceinture marron OSC
Icône de groupe

Groupe : Modérateurs
Messages : 1326
Inscrit : 30-May 06
Lieu : Vichy (03)
Membre no 10583



Re bonjour,

Il n'y a pas de question bête. Ce qui est bête, c'est de rester dans l'ignorance par ce qu'on a pas posé la question smile.gif

La solution donnée dans la FAQ permet de contourner l'absence de serveur de mail en local.
Chez l'hébergeur si tu as un hébergement mutualisé, il y a un serveur de mail et le php.ini est automatiquement configuré par l'hébergeur pour se servir du serveur de mail. Donc les visiteurs n'auront pas cette erreur.

Si tu as un hébergement sur un serveur dédié, en principe c'est à toi de faire la configuration, sauf si c'est pré installé (petit bonus de certains hébergeurs).


--------------------
Config 1 en live : Osc 2.2 très fortement modifié ... UTF-8 et Php 5.4.
Contribs installées : down_for_maintenance_v 2.3 | Estimated Shipping v1.5 | imprint_1_3_5 | low_stock_report_v2.04 | visible_countries_1.2b | Products Tabs | shoppingCart_cleanup_v1.01.0 | + trop de bidouilles persos pas très OsCommerce (erreurs de jeunesse)
Config 2 en local avec UwAmp : Osc 2.3.4 BS
Go to the top of the page
 
Havock
posté 12 Oct 2016, 07:36
Message #9


Ceinture bleue OSC
Icône de groupe

Groupe : Membres
Messages : 894
Inscrit : 4-February 04
Membre no 1926



Citation (roiphoto @ 10 Oct 2016, 17:08) *
Tous les warnings dans mon précédent post sont résolus tout seuls


blink.gif blink.gif blink.gif

Tu es sur d'utiliser une version 5.4 de php ? De mémoire oscommerce 2.2 doit être modifié pour remplacer les fonctions dépréciées (celles qui ne sont plus à jour) dès que l'on dépasse la version 5.3.



--------------------
L'indispensable est en cours de traitement,
L'urgent sera traité demain,
Le normal sera traité plus tard,
Le reste on vera ...
En conclusion : les journées sont trop courtes.
Utilisateur de MS2.2 Max 1.5 - OSC-Affiliate 1.09 - Admin With Access Levels 2.1 - Meta Tag Controller/ Generator - Credit/Gift Voucher/Coupons 5.05 - Download Controller v5.3 - X-Sell MS2 - WYSIWYG HTML Editor for Admin 1.7 - Dynamic Mo Pics - Loginbox Best - Order logging before payment processing - User Tracking - Faster Page Loads, Less DB queries - Plus plein de modifs perso :-)
Go to the top of the page
 
Bonbec
posté 12 Oct 2016, 10:44
Message #10


Ceinture marron OSC
Icône de groupe

Groupe : Modérateurs
Messages : 1326
Inscrit : 30-May 06
Lieu : Vichy (03)
Membre no 10583



Bonjour Havock,

Dans le dernier message de roiphoto, ce n'est plus la même version d'EasyPhp. Je présume (car je n'utilise pas celui-ci mais uWamp) qu'il a utilisé une version précédente afin de "descendre" en version de Php.
J'ai fais la même chose en local :
1) une ancienne version de uWamp afin de tester certains contribs sans avoir à les rendre compatible, histoire de voir si la contrib correspond à mes attentes avant de l'adapter à mon site.
2) la dernière version d'uWamp pour faire mes modifs avec la version de Php correspondant à mon site en live.


--------------------
Config 1 en live : Osc 2.2 très fortement modifié ... UTF-8 et Php 5.4.
Contribs installées : down_for_maintenance_v 2.3 | Estimated Shipping v1.5 | imprint_1_3_5 | low_stock_report_v2.04 | visible_countries_1.2b | Products Tabs | shoppingCart_cleanup_v1.01.0 | + trop de bidouilles persos pas très OsCommerce (erreurs de jeunesse)
Config 2 en local avec UwAmp : Osc 2.3.4 BS
Go to the top of the page
 
roiphoto
posté 13 Oct 2016, 11:19
Message #11


Ceinture jaune+ OSC
Icône de groupe

Groupe : Membres
Messages : 98
Inscrit : 6-August 07
Lieu : 93200
Membre no 18622



Bonjour à toutes et à tous

Pour répondre à Havock

J’ai laissé tomber easyphp-12.1 pour la circonstance

et j’ai installé Easyphp-1.8 où c’est marqué :
Php 4.3.10
phpmyadmin 2.6.1
mysql 4.1.9

Et je vous assure que la contribution ADD CUSTOMER PRODUCTS a bien fonctionné (jusqu’ici en local) avec la version osCommerce Online Merchant v2.2 RC1 W3C Valid FR

Peut-etre que cela permettra à d’autres forumeurs d’aller plus vite dans leurs projets.

Je vous remercie
Go to the top of the page
 
roiphoto
posté 13 Oct 2016, 11:23
Message #12


Ceinture jaune+ OSC
Icône de groupe

Groupe : Membres
Messages : 98
Inscrit : 6-August 07
Lieu : 93200
Membre no 18622



Bonjour à toutes et à tous

Merci Bonbec. Je préfère continué mon projet tel que c'est

Je voudrais faire une petite modif que je n'arrive pas

EN LOCAL

Sur la page index J’ai réussi à faire disparaître le bloc fabriquant en mettant en commentaire require(DIR_WS_BOXES.’manufacturers.php) quand j’ai édité column_left.php

Par contre dans catalog/account_add.php le bloc fabriquant est bien présent et je ne sais pas quel require je dois encore supprimer puisque je n’en ai pas trouvé qui ait un lien direct avec manufacturer.

Ou bien je n’ai pas fait la bonne suppression dans column_left.php ! Je ne sais pas !
De l’aide s’il vous plaît
Merci
Go to the top of the page
 
Bonbec
posté 13 Oct 2016, 14:52
Message #13


Ceinture marron OSC
Icône de groupe

Groupe : Modérateurs
Messages : 1326
Inscrit : 30-May 06
Lieu : Vichy (03)
Membre no 10583



Re,
Perso j'avais testé rapidement en local la 2.3.1 et je l'ai désinstallée.
Ce que je vais indiquer repose uniquement sur ma mémoire. Il n'est pas utile de commenter la ligne dans column_left.php pour désactiver la boxe manufacturers.php.

Il faut aller dans l'administration, modules, boxes.
Là il y a "manufacturers" ou "fabricants" selon que ce soit la version english ou française.
Cliquer sur cette ligne puis à droite sur le bouton "edit" ou "editer".
Si on veut supprimer tout ce qui a trait aux fabricants sur le site, il suffit de désinstaller le module en mettant à false à la place de true.
Si on veut désactiver que sur certaines pages, endroits du site, il suffit de décocher des cases à cocher correspondantes.
Cliquer ensuite sur "save" ou "sauvegarder".
J'ai dis çà de mémoire, j'espère ne pas m'être trompé.


--------------------
Config 1 en live : Osc 2.2 très fortement modifié ... UTF-8 et Php 5.4.
Contribs installées : down_for_maintenance_v 2.3 | Estimated Shipping v1.5 | imprint_1_3_5 | low_stock_report_v2.04 | visible_countries_1.2b | Products Tabs | shoppingCart_cleanup_v1.01.0 | + trop de bidouilles persos pas très OsCommerce (erreurs de jeunesse)
Config 2 en local avec UwAmp : Osc 2.3.4 BS
Go to the top of the page
 
roiphoto
posté 27 Oct 2016, 10:17
Message #14


Ceinture jaune+ OSC
Icône de groupe

Groupe : Membres
Messages : 98
Inscrit : 6-August 07
Lieu : 93200
Membre no 18622



Bonjour à toutes et à tous

Merci à vous, Bonbec

Dans un premier temps, j’ai enlevé la mise en commentaire de la ligne include(DIR_WS_BOXES . 'manufacturers.php’ du fichier column_left.php précédemment annoncé

Selon votre conseil, en procédant de la manière (éditer et supprimer), cela supprime les produits à l’intérieur du box fabriquant. J’ai réussi à supprimer tous les produits mais le box fabriquant est toujours là et vide alors qu’avec les autres versions oscommerce cette manière supprimait effectivement et totalement le box fabriquant.

Par contre la mise en commentaire dans colomn_right
/*include(DIR_WS_BOXES . 'specials.php');*/
a supprimé totalement le box Promotions

Je me demande pourquoi cela ne fonctionne-t-il pas avec box fabriquant qui se trouve dans http://127.0.0.1/catalog/account_add.php ? ? ?

Merci à toutes et à tous
Go to the top of the page
 
Bonbec
posté 27 Oct 2016, 22:24
Message #15


Ceinture marron OSC
Icône de groupe

Groupe : Modérateurs
Messages : 1326
Inscrit : 30-May 06
Lieu : Vichy (03)
Membre no 10583



Bonjour,

Heu ... la manip que j'ai indiqué est pour OsCommerce 2.3.X. Je n'ai pas conseillé de supprimer les produits mais la ou les boxes concernées.
La contrib a été installée sur quelle version d'OsCommerce ?

Il n'u aurait pas 2 fois la ligne include(DIR_WS_BOXES . 'manufacturers.php’ dans le fichier column_left.php ?


--------------------
Config 1 en live : Osc 2.2 très fortement modifié ... UTF-8 et Php 5.4.
Contribs installées : down_for_maintenance_v 2.3 | Estimated Shipping v1.5 | imprint_1_3_5 | low_stock_report_v2.04 | visible_countries_1.2b | Products Tabs | shoppingCart_cleanup_v1.01.0 | + trop de bidouilles persos pas très OsCommerce (erreurs de jeunesse)
Config 2 en local avec UwAmp : Osc 2.3.4 BS
Go to the top of the page
 
roiphoto
posté 28 Oct 2016, 11:53
Message #16


Ceinture jaune+ OSC
Icône de groupe

Groupe : Membres
Messages : 98
Inscrit : 6-August 07
Lieu : 93200
Membre no 18622



Bonjour bonbec
J'ai vérifié il n'y a pas deux fois la ligne DIR_WS_BOXES.'MANUFACCTURERS' DANS COLUMN_LEFT.PHP
j'utilise la version
osCommerce version osCommerce Online Merchant v2.2 RC1 W3C Valid FR avec la contribution CAP Customer Add Products.
Merci
Go to the top of the page
 

Reply to this topicStart new topic
1 utilisateur(s) sur ce sujet (1 invité(s) et 0 utilisateur(s) anonyme(s))
0 membre(s) :

 



RSS Version bas débit Nous sommes le : 23rd November 2017 - 19:17
Ce site est déclaré auprès de la commision Nationale
de l'Informatique et des Libertés (déclaration n°: 1043896)